The Dart implementation of gRPC: A high performance, open source, general RPC framework that puts mobile and HTTP/2 first.

Build Status pub package

Usage

See the Dart gRPC Quickstart.

Status

If you experience issues, or if you have feature requests, please open an issue.

Notes

This library requires Dart SDK version 2.0 or later.

It currently supports the the Flutter and VM/Server platforms. The potential addition of gRPC-Web is tracked in issue 43.

Libraries

grpc
service_api
Exports the minimum api to define server and client stubs. [...]